<?php include('casa/setup.casa.php');
$titulo = 'Actividad de Registros por Usuarios';
include('inc_head.php');
?>
<style>
th{
	color:white;
	text-align:center;
	text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $titulo;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">																						
										<div class="table-responsive">
                                    <table id="registros" class="table table-striped table-bordered">
                                        <thead>
                                            <tr class="bg-dark">
												<th>N°</th>
												<th>tecnico</th>
												<th>usuario</th>
												<th>asunto</th>
												<th>interno</th>
												<th>ip</th>
												<th>agencia</th>
												<th>piso</th>
												<th>ticket</th>
												<th>estado</th>
												<th>empresa</th>
												<th>escalamiento</th>
                                            </tr>
                                        </thead>
                                        <tbody>    
                                        <?php 
                                        $db=new DB();
										$User = new DB();
										
										$sql = "SELECT * FROM excel_registros
										WHERE reg_visible = '1'		
										ORDER BY reg_id DESC;";
                                        $db->dbSQL($sql);
                                        $html='';
										$i=0;
                                        while($db->next()){
										$i++;													 
									    
										$reg_codigo= $db->dbField('reg_codigo');
										$reg_usuario= $db->dbField('reg_usuario');
										$reg_asunto= $db->dbField('reg_asunto');
										$reg_interno= $db->dbField('reg_interno');
										$reg_ip= $db->dbField('reg_ip');
										$reg_agencia= $db->dbField('reg_agencia');
										$reg_piso= $db->dbField('reg_piso');
										$reg_ticket= $db->dbField('reg_ticket');
										$reg_estado= $db->dbField('reg_estado');
										$reg_empresa= $db->dbField('reg_empresa');
										$reg_escalamiento= $db->dbField('reg_escalamiento');																										 										
										$usuario_codigo= $db->dbField('usuario_codigo');				

										$sqlUser = "SELECT * FROM rol_usuarios 
										WHERE us_id= '$usuario_codigo';";
										$User->dbSQL($sqlUser);
										$User->next();
										$utecnico = $User->dbField('us_nombres').' '.$User->dbField('us_apellidos');

                                            $html.='<tr>'; 
							    			$html.='<td align=center>'.$i.'</td>';											
											$html.='<td>'.$utecnico.'</td>';
											$html.='<td>'.$reg_usuario.'</td>';
											$html.='<td>'.$reg_asunto.'</td>';
											$html.='<td>'.$reg_interno.'</td>';
											$html.='<td>'.$reg_ip.'</td>';
											$html.='<td>'.$reg_agencia.'</td>';
											$html.='<td>'.$reg_piso.'</td>';
											$html.='<td>'.$reg_ticket.'</td>';
											$html.='<td>'.$reg_estado.'</td>';
											$html.='<td>'.$reg_empresa.'</td>';
											$html.='<td>'.$reg_escalamiento.'</td>';																									  											                                      
                                            
                                            $html.='</tr>';
                                            
                                        }
                                        echo $html;                                        
                                        ?>                                                                                    
                                        </tbody>                                        
                                    </table>
                                </div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#registros').DataTable({
		"pageLength": 25,
	});
});	
</script>